# PearPkgMappingElement

Sub-element of <mapping>.

package | phing.tasks.ext

### Methods

## Handles nested <element> tags.

    createElement()

## getKey

    getKey()

## Returns either the simple value or the calculated value (array) of nested elements.

    getValue() : mixed

### Response

`mixed`

## setKey

    setKey( $v)

### Arguments

#### $v

``

## setValue

    setValue( $v)

### Arguments

#### $v

``

### Properties

## key

    key :

### Type(s)

``

## value

    value :

### Type(s)

``

## elements

    elements :

### Type(s)

``